package com.luojigou.product.base

import android.graphics.drawable.ColorDrawable
import android.os.Bundle
import androidx.annotation.LayoutRes
import androidx.appcompat.app.AppCompatActivity

abstract class BaseActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(getLayoutId())
    }

    @LayoutRes
    protected abstract fun getLayoutId(): Int

    protected fun setTitle(title: String) {
        supportActionBar?.run {
            this.title = title
            this.setDisplayHomeAsUpEnabled(true)
            this.setBackgroundDrawable(ColorDrawable(0x00000000))
        }
    }
}